# Class CIM_ProcessIndication
extends CIM_Indication

An abstract superclass for specialized Indication classes, addressing specific changes and alerts published by providers and instrumentation. Subclasses include AlertIndication (with properties such as PerceivedSeverity and ProbableCause), and SNMPTrapIndication (which recasts Traps as CIM indications).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Indication
|
+--CIM_ProcessIndication

## Direct Known Subclasses

CIM_AlertIndication
CIM_J2eeNotification
CIM_SNMPTrapIndication

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Description | string | An abstract superclass for specialized Indication classes, addressing specific changes and alerts published by providers and instrumentation. Subclasses include AlertIndication (with properties such as PerceivedSeverity and ProbableCause), and SNMPTrapIndication (which recasts Traps as CIM indications).
Indication | boolean | true
UMLPackagePath | string | CIM::Event
Version | string | 2.29.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
IndicationFilterName | string | CIM_Indication
IndicationIdentifier | string | CIM_Indication
IndicationTime | datetime | CIM_Indication
OtherSeverity | string | CIM_Indication
PerceivedSeverity | uint16 | CIM_Indication
SequenceContext | string | CIM_Indication
SequenceNumber | sint64 | CIM_Indication
CorrelatedIndications | string[] | CIM_Indication

## Class Methods